
#!/usr/bin/env sh


set -ex


docker compose up --build -d

# composer
docker compose exec -it php-fpm composer install
# fix permissions (TODO: fix-me) - by user in dockerfile
docker compose exec -it php-fpm /bin/sh -c "mkdir -p /var/www/html/temp && chown -R www-data:www-data /var/www/html/temp"


docker compose up -d mariadb --wait
cat migrations/*.sql | docker compose exec -T mariadb mysql -pnette survey

# run containers (and build again)
if [ "$NO_EXECUTE" != "1" ]; then
  docker compose up 
fi

